LEIA Docs

Get RAG processing status

GET
/courses/{courseId}/rag-status

Retrieves source-document processing status for a course.

Authorization

AuthorizationBearer <token>

LEIA API key passed as Bearer token (recommended). Keys start with leia_sk_.

In: header

Path Parameters

courseId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/courses/string/rag-status"
{
  "isProcessing": true,
  "totalDocuments": 0,
  "completedCount": 0,
  "failedCount": 0,
  "processingDocuments": [
    {
      "id": "string",
      "fileName": "string",
      "status": "string"
    }
  ]
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Valid LEIA API key required"
  }
}
{
  "error": {
    "code": "FORBIDDEN",
    "message": "API key service user must be a CREATOR user"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}